Collection
This endpoint is used to manage collections inside an organization.
Entity fields:
data.type
string
Should be "collection"
data.attributes.name
string
Collection name
data.attributes.description
string
Collection description
data.attributes.priority
integer
Collection priority
Example:
POST /api/v1/organization/${ORGANIZATION_ID}/collection/
{
"data": {
"type": "collection",
"attributes": {
"name": "Collection1",
"description": "Sample Description",
"priority": 10
}
}
}Supported Operation
Returns the collection of collection
organization Identifier
Successful response
GET /api/v1/organization/{organizationId}/collection HTTP/1.1
Accept: */*
Successful response
{
"data": []
}Creates an item of type collection
organization Identifier
Successful response
POST /api/v1/organization/{organizationId}/collection HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 203
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"name": "text",
"description": "text",
"priority": 1
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
},
"item": {
"id": "text",
"type": "item"
}
}
}
}Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"name": "text",
"description": "text",
"priority": 1
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
},
"item": {
"id": "text",
"type": "item"
}
}
}
}Returns an instance of type collection
organization Identifier
collection Identifier
Successful response
GET /api/v1/organization/{organizationId}/collection/{collectionId} HTTP/1.1
Accept: */*
Successful response
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"name": "text",
"description": "text",
"priority": 1
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
},
"item": {
"id": "text",
"type": "item"
}
}
}
}Deletes an instance of type collection
organization Identifier
collection Identifier
Successful response
No content
DELETE /api/v1/organization/{organizationId}/collection/{collectionId} HTTP/1.1
Accept: */*
Successful response
No content
Modifies an instance of type collection
organization Identifier
collection Identifier
Successful response
No content
PATCH /api/v1/organization/{organizationId}/collection/{collectionId} HTTP/1.1
Content-Type: application/vnd.api+json
Accept: */*
Content-Length: 203
{
"data": {
"type": "text",
"id": "text",
"attributes": {
"name": "text",
"description": "text",
"priority": 1
},
"relationships": {
"organization": {
"id": "text",
"type": "organization"
},
"item": {
"id": "text",
"type": "item"
}
}
}
}Successful response
No content
Last updated
Was this helpful?